Bug 118610 - kernel BUG at forte.c:693
kernel BUG at forte.c:693
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-18 03:59 EST by Aleksander Adamowski
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:11:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksander Adamowski 2004-03-18 03:59:58 EST
Description of problem:

I'm using a multimedia audio controller: Fortemedia, Inc Xwave QS3000A
[FM801] (rev b2).

lspci -v shows it as:

00:0a.0 Multimedia audio controller: Fortemedia, Inc Xwave QS3000A
[FM801] (rev b2)
        Subsystem: Fortemedia, Inc: Unknown device 1319
        Flags: bus master, medium devsel, latency 32, IRQ 4
        I/O ports at a400 [size=128]
        Capabilities: [dc] Power Management version 1

00:0a.1 Input device controller: Fortemedia, Inc Xwave QS3000A [FM801
game port] (rev b2)
        Subsystem: Fortemedia, Inc: Unknown device 1319
        Flags: bus master, medium devsel, latency 32
        I/O ports at a000 [disabled] [size=16]
        Capabilities: [dc] Power Management version 1

initialization messages from kernel.info logs:
Mar 17 09:00:03 ural kernel: forte: FM801 chip found at 0xA400-0xA47F
IRQ 4
Mar 17 09:00:03 ural kernel: forte: Multi-channel device detected.
Mar 17 09:00:03 ural kernel: ac97_codec: AC97 Audio codec, id:
0x8384:0x7605 (SigmaTel STAC9704)


Immediately after installation of Fedora I could play sound with it,
but now I can't and there are errors generated in the kernel syslog.

This might be caused by some later kernel updates from Fedora.

Version-Release number of selected component (if applicable):

2.4.22-1.2174.nptl

How reproducible:

Always reproducible by playing sound

Steps to Reproduce:
1. Launch XMMS
2. Load a music file
3. Play it
  
Actual results:

1. An XMMS error appears
2. The following error appears in kernel logs:

info level:
Mar 17 10:49:13 ural kernel: __alloc_pages: 4-order allocation failed
(gfp=0x20/0)

warn level:
Mar 17 10:49:13 ural kernel: ------------[ cut here ]------------
Mar 17 10:49:13 ural kernel: kernel BUG at forte.c:693!
Mar 17 10:49:13 ural kernel: invalid operand: 0000
Mar 17 10:49:13 ural kernel: forte ac97_codec soundcore ide-cd cdrom
parport_pc lp parport autofs e100 ipt_REJECT ipt_state ip_con
ntrack iptable_filter ip_tables floppy sg scsi_mod microc
Mar 17 10:49:13 ural kernel: CPU:    0
Mar 17 10:49:13 ural kernel: EIP:    0060:[<e4d4c682>]    Not tainted
Mar 17 10:49:13 ural kernel: EFLAGS: 00010046
Mar 17 10:49:13 ural kernel:
Mar 17 10:49:13 ural kernel: EIP is at forte_channel_prep [forte] 0x72
(2.4.22-1.2174.nptl)
Mar 17 10:49:13 ural kernel: eax: 00000000   ebx: d173abac   ecx:
00000001   edx: d0544b80
Mar 17 10:49:13 ural kernel: esi: de00c000   edi: 00000286   ebp:
09189f58   esp: de00df28
Mar 17 10:49:13 ural kernel: ds: 0068   es: 0068   ss: 0068
Mar 17 10:49:14 ural kernel: Process sox (pid: 5662, stackpage=de00d000)
Mar 17 10:49:14 ural kernel: Stack: dffae000 00010000 d173abc4
d173abac de00c000 e4d4da39 d173abac 00000000
Mar 17 10:49:14 ural kernel:        bf5e7000 c9961980 bf5e7000
d0544b80 00002000 00000100 d173ab80 09189ce0
Mar 17 10:49:14 ural kernel:        00000000 00000000 c53e0c00
ffffffea 00002000 c01349ff c53e0c00 00000000
Mar 17 10:49:14 ural kernel: Call Trace:   [<e4d4da39>]
forte_dsp_write [forte] 0x79 (0xde00df3c)
Mar 17 10:49:14 ural kernel: [<c01349ff>] generic_file_read [kernel]
0x2f (0xde00df7c)
Mar 17 10:49:14 ural kernel: [<c0144103>] sys_write [kernel] 0xa3
(0xde00df94)
Mar 17 10:49:14 ural kernel: [<c0109747>] system_call [kernel] 0x33
(0xde00dfc0)
Mar 17 10:49:14 ural kernel:
Mar 17 10:49:14 ural kernel:
Mar 17 10:49:14 ural kernel: Code: 0f 0b b5 02 3d ef d4 e4 8b 43 14 31
c9 8b 35 70 58 3d c0 05

Expected results:

Music is played correctly
Comment 1 Aleksander Adamowski 2004-04-13 06:35:12 EDT
Another one. I've been playing a video clip with sound in mplayer,
doing frequent seeks in the video stream.

__alloc_pages: 4-order allocation failed (gfp=0x20/0)
------------[ cut here ]------------
kernel BUG at forte.c:693!
invalid operand: 0000
joydev forte ac97_codec soundcore ide-cd cdrom parport_pc lp parport
autofs e100 ipt_REJECT ipt_state ip_conntrack iptable_filter ip_tables
floppy sg scsi_mod
CPU:    0
EIP:    0060:[<e4d50682>]    Not tainted
EFLAGS: 00010046

EIP is at forte_channel_prep [forte] 0x72 (2.4.22-1.2174.nptl)
eax: 00000000   ebx: c16368ac   ecx: 00000001   edx: cb2da005
esi: ca3fe000   edi: 00000286   ebp: 09bb04b0   esp: ca3fff28
ds: 0068   es: 0068   ss: 0068
Process mplayer (pid: 29689, stackpage=ca3ff000)
Stack: dffae000 00010000 c16368c4 c16368ac ca3fe000 e4d51a39 c16368ac
cfbc7200
       cfbc7200 df6b9100 00000000 c0143663 df6b9100 00000200 c1636880
cb2da000
       00cb9208 bfe90888 c0143588 00000002 00000002 00000100 00000200
00000000
Call Trace:   [<e4d51a39>] forte_dsp_write [forte] 0x79 (0xca3fff3c)
[<c0143663>] dentry_open [kernel] 0xd3 (0xca3fff54)
[<c0143588>] filp_open [kernel] 0x68 (0xca3fff70)
[<c0144103>] sys_write [kernel] 0xa3 (0xca3fff94)
[<c0109747>] system_call [kernel] 0x33 (0xca3fffc0)


Code: 0f 0b b5 02 3d 2f d5 e4 8b 43 14 31 c9 8b 35 70 58 3d c0 05
Comment 2 Aleksander Adamowski 2004-04-13 06:36:38 EDT
Now the kernel got into a state where I get this one every time when I
execute dmesg:

__alloc_pages: 4-order allocation failed (gfp=0x20/0)
------------[ cut here ]------------
kernel BUG at forte.c:693!
invalid operand: 0000
joydev forte ac97_codec soundcore ide-cd cdrom parport_pc lp parport
autofs e100 ipt_REJECT ipt_state ip_conntrack iptable_filter ip_tables
floppy sg scsi_mod
CPU:    0
EIP:    0060:[<e4d50682>]    Not tainted
EFLAGS: 00010046

EIP is at forte_channel_prep [forte] 0x72 (2.4.22-1.2174.nptl)
eax: 00000000   ebx: c16368ac   ecx: 00000001   edx: cb2da005
esi: ca3fe000   edi: 00000286   ebp: 09bb04b0   esp: ca3fff28
ds: 0068   es: 0068   ss: 0068
Process mplayer (pid: 29689, stackpage=ca3ff000)
Stack: dffae000 00010000 c16368c4 c16368ac ca3fe000 e4d51a39 c16368ac
cfbc7200 
       cfbc7200 df6b9100 00000000 c0143663 df6b9100 00000200 c1636880
cb2da000 
       00cb9208 bfe90888 c0143588 00000002 00000002 00000100 00000200
00000000 
Call Trace:   [<e4d51a39>] forte_dsp_write [forte] 0x79 (0xca3fff3c)
[<c0143663>] dentry_open [kernel] 0xd3 (0xca3fff54)
[<c0143588>] filp_open [kernel] 0x68 (0xca3fff70)
[<c0144103>] sys_write [kernel] 0xa3 (0xca3fff94)
[<c0109747>] system_call [kernel] 0x33 (0xca3fffc0)


Code: 0f 0b b5 02 3d 2f d5 e4 8b 43 14 31 c9 8b 35 70 58 3d c0 05 
Comment 3 David Lawrence 2004-09-29 16:11:58 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.